SignalR Replicas - Create Or Update
创建或更新副本。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.SignalRService/signalR/{resourceName}/replicas/{replicaName}?api-version=2024-03-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
replica
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z][a-zA-Z0-9-]{1,61}[a-zA-Z0-9]$ |
副本的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
resource
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-zA-Z][a-zA-Z0-9-]{1,61}[a-zA-Z0-9]$ |
资源的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
请求正文
Media Types: "application/json", "text/json"
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| location | True |
string |
资源所在的地理位置 |
| properties.regionEndpointEnabled |
string |
启用或禁用区域终结点。 默认值为“Enabled”。 禁用时,不会将新连接路由到此终结点,但现有连接不会受到影响。 |
|
| properties.resourceStopped |
string |
停止或启动资源。 默认值为“false”。 如果为 true,资源的数据平面将关闭。 如果为 false,则会启动资源的数据平面。 |
|
| sku |
资源的计费信息。 |
||
| tags |
object |
资源标记。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
更新。 响应描述副本。 |
|
| 201 Created |
创建。 响应描述新副本,并包含用于查询操作结果的位置标头。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
SignalRReplicas_CreateOrUpdate
示例请求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.SignalRService/signalR/mySignalRService/replicas/mySignalRService-eastus?api-version=2024-03-01
{
"sku": {
"name": "Premium_P1",
"tier": "Premium",
"capacity": 1
},
"properties": {
"resourceStopped": "false"
},
"location": "eastus",
"tags": {
"key1": "value1"
}
}
示例响应
{
"sku": {
"name": "Premium_P1",
"tier": "Premium",
"size": "P1",
"capacity": 1
},
"properties": {
"provisioningState": "Succeeded",
"regionEndpointEnabled": "Enabled",
"resourceStopped": "false"
},
"location": "eastus",
"tags": {
"key1": "value1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/Microsoft.SignalRService/SignalR/mySignalRService/replicas/mySignalRService-eastus",
"name": "mySignalRService-eastus",
"type": "Microsoft.SignalRService/SignalR",
"systemData": {
"createdBy": "string",
"createdByType": "User",
"createdAt": "2015-02-03T04:05:06Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User",
"lastModifiedAt": "2015-02-03T04:05:06Z"
}
}
Location: https://management.azure.com/subscriptions/subid/providers/Microsoft.SignalRService/...pathToOperationResult...
Azure-AsyncOperation: https://management.azure.com/subscriptions/subid/providers/Microsoft.SignalRService/...pathToOperationStatus...
{
"sku": {
"name": "Premium_P1",
"tier": "Premium",
"size": "P1",
"capacity": 1
},
"properties": {
"provisioningState": "Succeeded",
"regionEndpointEnabled": "Enabled",
"resourceStopped": "false"
},
"location": "eastus",
"tags": {
"key1": "value1"
},
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/myResourceGroup/providers/Microsoft.SignalRService/SignalR/mySignalRService/replicas/mySignalRService-eastus",
"name": "mySignalRService-eastus",
"type": "Microsoft.SignalRService/SignalR",
"systemData": {
"createdBy": "string",
"createdByType": "User",
"createdAt": "2015-02-03T04:05:06Z",
"lastModifiedBy": "string",
"lastModifiedByType": "User",
"lastModifiedAt": "2015-02-03T04:05:06Z"
}
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Provisioning |
资源的预配状态。 |
| Replica |
一个类表示副本资源。 |
|
Resource |
资源的计费信息。 |
|
Signal |
此特定 SKU 的可选层。 “Standard”或“Free”。
|
|
system |
与创建和上次修改资源相关的元数据。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
ProvisioningState
资源的预配状态。
| 值 | 说明 |
|---|---|
| Unknown | |
| Succeeded | |
| Failed | |
| Canceled | |
| Running | |
| Creating | |
| Updating | |
| Deleting | |
| Moving |
Replica
一个类表示副本资源。
| 名称 | 类型 | 默认值 | 说明 |
|---|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
|
| location |
string |
资源所在的地理位置 |
|
| name |
string |
资源的名称 |
|
| properties.provisioningState |
资源的预配状态。 |
||
| properties.regionEndpointEnabled |
string |
Enabled |
启用或禁用区域终结点。 默认值为“Enabled”。 禁用时,不会将新连接路由到此终结点,但现有连接不会受到影响。 |
| properties.resourceStopped |
string |
false |
停止或启动资源。 默认值为“false”。 如果为 true,资源的数据平面将关闭。 如果为 false,则会启动资源的数据平面。 |
| sku |
资源的计费信息。 |
||
| systemData |
包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。 |
||
| tags |
object |
资源标记。 |
|
| type |
string |
资源的类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts” |
ResourceSku
资源的计费信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| capacity |
integer (int32) |
可选,整数。 资源的单位计数。 1(对于 Free_F1/Standard_S1/Premium_P1,默认为 100,对于Premium_P2)。 如果存在,则允许以下值:Free_F1:1;Standard_S1:1,2,3,4,5,6,7,8,9,10,20,30,40,50,60,70,80,90,100;Premium_P1:1,2,3,4,5,6,7,8,9,10,20,30,40,50,60,70,80,90,100;Premium_P2:100,200,300,400,500,600,700,800,900,1000; |
| family |
string |
未使用。 保留以供将来使用。 |
| name |
string |
SKU 的名称。 必填。 允许的值:Standard_S1、Free_F1、Premium_P1、Premium_P2 |
| size |
string |
未使用。 保留以供将来使用。 |
| tier |
此特定 SKU 的可选层。 “Standard”或“Free”。
|
SignalRSkuTier
此特定 SKU 的可选层。 “Standard”或“Free”。
Basic 已弃用,请改用 Standard。
| 值 | 说明 |
|---|---|
| Free | |
| Basic | |
| Standard | |
| Premium |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的资源时间戳(UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |